<template>
  <q-page class="sign-up row justify-center">
    <q-table
      v-if="userType === ''"
      title="Psíky"
      :data="tableData"
      :columns="columns"
      row-key="name"
    />
  </q-page>
</template>

<style lang="scss">
  .sign-up {
    .card {
      padding: 2rem;
      margin-top: 1rem;
    }

    .add-button {
      margin-top: 2rem;
    }
  }
</style>

<script>
import DogForm from 'src/components/DogForm'

export default {
  name: 'SignUpPage',

  components: {
    DogForm
  },

  $_veeValidate: {
    validator: 'new'
  },

  data () {
    return {
      focus: false,
      form: {
        username: null,
        email: null,
        password: null,
        userType: null,
        dogs: []
      },
      dogType: {
        name: null,
        age: null,
        breed: null,
        availableTo: null,
        availableFrom: null
      }
    }
  },

  methods: {
    async submit () {
      const result = await this.$store.dispatch('user/signUp', this.form)
      if (result) {
        this.$router.push('/profil')
      } else {
        this.$q.notify('Niekde nastala chyba')
      }
    },

    async cancel () {
      try {
        await this.$q.dialog({
          title: 'Ste si istý?',
          message: 'Vaše údaje budú stratené',
          ok: 'Áno',
          cancel: 'Nie'
        })
        this.$router.push('/')
      } catch (err) {

      }
    },

    addDog () {
      this.form.dogs.push(this.dogType)
    },

    async nextStep () {
      try {
        await this.$validator.validateAll()
        if (this.errors.any()) {
          this.$q.notify(this.errors.first())
        } else if (this.form.userType === 'Bežec') {
          this.submit()
        } else {
          this.$refs.stepper.next()
        }
      } catch (err) {
        console.log(err)
      }
    }
  }
}
</script>
